stamINode-class {stam} | R Documentation

## Inner Nodes in Classifier Nets by StAM

### Description

Objects of this class represent inner nodes of classifier nets as they are generated by structured analysis of microarray data. These nodes only contain children but never hold direct annotations of genes.

### Objects from the Class

Objects can be created by calls of the form `new("stamINode", ID, GOidx, children)`.

ID
  is the GO identifier as character string
GOidx
  environment attributing indices to all GO indentifiers
children
  indeces of all children

Exactly one of `GOidx` and `children` must be defined, the other set to NULL (default)

### Slots

`children`:
  Object of class `"numeric"`, indeces of the node's direct children in the Gene Ontology.
`weights`:
  Object of class `"numeric"`, weights attributed to the node's direct children.

See `stamNode-class` fot `ID`, `category`, `replacedParents` and `supNode`.

### Extends

Class `"stamNode"`, directly.

### Methods

print
  `signature(x = "stamINode")`: print information on the inner node.
writeHTML
  `signature(x = "stamINode")`: generate HTML information on the inner node.

### Author(s)

Claudio Lottaz

### See Also

`stamNode-class`, `stamLeaf-class`

[Package stam version 1.10.0 Index]